> ## Documentation Index > Fetch the complete documentation index at: https://developer.rocket.chat/llms.txt > Use this file to discover all available pages before exploring further. # Autocomplete Visitors > Search for visitors by name. Permission required: `view-l-room` The `conditions` field in the `selector` parameter is deprecated and will be removed in Rocket.Chat 9.0.0. In 8.8, requests containing a non-empty `conditions` object continue to work, but the response includes deprecation headers and the server records a warning. ### Changelog | Version | Description | | ------- | ----------- | | 8.8.0 | Deprecated the `conditions` field in the `selector` parameter. | ## OpenAPI ````json GET /api/v1/livechat/visitors.autocomplete { "openapi": "3.0.0", "info": { "version": "1.0.0", "title": "Omnichannel" }, "servers": [ { "url": "https://apiexplorer.support.rocket.chat" } ], "tags": [ { "name": "Omnichannel Users" }, { "name": "Omnichannel Agents" }, { "name": "Omnichannel Monitors" }, { "name": "Omnichannel Visitors" }, { "name": "Omnichannel Contacts" }, { "name": "Omnichannel Rooms" }, { "name": "Omnichannel Departments" }, { "name": "Omnichannel Custom Fields" }, { "name": "Omnichannel Business Hours" }, { "name": "Omnichannel Priorities" }, { "name": "Omnichannel Tags" }, { "name": "Omnichannel Units" }, { "name": "SLA Policies" }, { "name": "Canned Responses" }, { "name": "Omnichannel Transcript" }, { "name": "Omnichannel Statistics" }, { "name": "Omnichannel Agent Stats" }, { "name": "Omnichannel Dashboards" }, { "name": "Reports" }, { "name": "Omnichannel Inquiries" }, { "name": "Omnichannel Webhooks" }, { "name": "Livechat" }, { "name": "Livechat Appearance" }, { "name": "Livechat Triggers" }, { "name": "Livechat Messages" }, { "name": "Livechat Page Visited" } ], "paths": { "/api/v1/livechat/visitors.autocomplete": { "get": { "summary": "Autocomplete Visitors", "tags": [ "Omnichannel Visitors" ], "description": "Search for visitors by name.\n\nPermission required: `view-l-room`\n\nThe `conditions` field in the `selector` parameter is deprecated and will be removed in Rocket.Chat 9.0.0. In 8.8, requests containing a non-empty `conditions` object continue to work, but the response includes deprecation headers and the server records a warning.\n\n### Changelog\n| Version | Description |\n| ------- | ----------- |\n| 8.8.0 | Deprecated the `conditions` field in the `selector` parameter. |", "responses": { "200": { "description": "OK", "headers": { "x-deprecation-type": { "description": "Returned as `parameter-deprecation` when the request contains a non-empty `selector.conditions` object.", "schema": { "type": "string", "example": "parameter-deprecation" } }, "x-deprecation-message": { "description": "Describes the deprecated parameter and its removal version. Returned when the request contains a non-empty `selector.conditions` object.", "schema": { "type": "string" } }, "x-deprecation-version": { "description": "The Rocket.Chat version in which the deprecated parameter will be removed. Returned when the request contains a non-empty `selector.conditions` object.", "schema": { "type": "string", "example": "9.0.0" } } }, "content": { "application/json": { "schema": { "type": "object", "properties": { "items": { "type": "array", "items": { "type": "object", "properties": { "_id": { "type": "string" }, "username": { "type": "string" }, "name": { "type": "string" }, "custom_name": { "type": "string" } } } }, "success": { "type": "boolean" } } }, "examples": { "Success Example": { "value": { "items": [ { "_id": "6400be90fa0ed7dd90509300", "username": "guest-5", "name": "Jane", "custom_name": "guest-5 - An agent" } ], "success": "true" } } } } } }, "400": { "description": "Bad Request", "content": { "application/json": { "schema": { "type": "object", "properties": { "success": { "type": "boolean" }, "error": { "type": "string" }, "errorType": { "type": "string" } } }, "examples": { "Example 1": { "value": { "success": "false", "error": "must have required property 'selector' [invalid-params]", "errorType": "invalid-params" } } } } } }, "401": { "$ref": "#/components/responses/authorizationError" } }, "operationId": "get-api-v1-livechat-visitors.autocomplete", "parameters": [ { "$ref": "#/components/parameters/AuthToken" }, { "$ref": "#/components/parameters/UserId" }, { "name": "selector", "in": "query", "description": "A JSON string containing the search `term` and an optional array of visitor IDs to exclude in `exceptions`. The `conditions` field is deprecated and will be removed in Rocket.Chat 9.0.0.", "required": "true", "schema": { "type": "string" }, "example": "{\"exceptions\":[],\"term\":\"Jane\"}" } ] } } }, "components": { "responses": { "authorizationError": { "description": "Unauthorized", "content": { "application/json": { "schema": { "type": "object", "properties": { "status": { "type": "string" }, "message": { "type": "string" } } }, "examples": { "Authorization Error": { "value": { "status": "error", "message": "You must be logged in to do this." } } } } } } }, "parameters": { "AuthToken": { "name": "X-Auth-Token", "in": "header", "description": "The `authToken` of the authenticated user.", "required": "true", "schema": { "type": "string" }, "example": "RScctEHSmLGZGywfIhWyRpyofhKOiMoUIpimhvheU3f" }, "UserId": { "name": "X-User-Id", "in": "header", "description": "The `userId` of the authenticated user.", "required": "true", "schema": { "type": "string" }, "example": "rbAXPnMktTFbNpwtJ" } } } } ````